<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/cdbootstrap@1.0.0/css/bootstrap.min.css" />
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/cdbootstrap@1.0.0/css/cdb.min.css" />
  <script src="https://cdn.jsdelivr.net/npm/cdbootstrap@1.0.0/js/cdb.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/cdbootstrap@1.0.0/js/bootstrap.min.js"></script>
  <script src="https://kit.fontawesome.com/9d1d9a82d2.js" crossorigin="anonymous"></script>
  <title>Snake card</title>
</head>

<body>
  <Header>
    <nav class="navbar navbar-light">
        <div class="container-fluid">

            <div class="justify-content-md-start">
                <img src="/images/Logo-final.png" class="rounded" alt="logo" style="width: 100px">
            </div>

            <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                <a type="button" class="btn btn-outline-secondary justify-content-end" style="margin-left: 25px; border-radius: 0.25rem;"
                onclick="window.history.back()">Retour</a>
            </div>
        </div>
    </nav>
</Header>
  <div class="card">
    <div class="card-body">
      <h2 class="card-title" th:text="${snake.name}">Card title</h2>
      <p class="card-text">Date de naissance : <span th:text="${#temporals.format(snake.birthDate,'dd-MM-yyyy')}"></span></p>
        </div>
      </div>
      <div class="container">
      <div class="row w-100 mx-auto">
          <div class="col-md-6">
            <div class="card chart-container">
                <canvas id="chartWeight"></canvas>
              </div>
          </div>
              <div class="col-md-6">
                  <div class="card chart-container">
                    <canvas id="chartLength"></canvas>
                  </div>
              </div>
          </div>
    </div>
    <div class="row  justify-content-center">
      <div class="col-md-4">
        <form id="form" method="post">
        <label for="date">Date : </label>
        <input type="date" required id="date" class="form-control" th:field="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].date}">
        <label for="weight">Poids (en grammes) : </label>
        <input type="text" required id="weight" class="form-control" th:field="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].weight}">
        <label for="length">Taille (en centimètres) : </label>
        <input type="text" required id="length" class="form-control" th:field="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].length}">
        <div>
          <label for="moulting">Mue : </label>
          <input type="checkbox" id="moulting" class="form-check-label" th:checked="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].moulting}">
        </div>
        <label for="preyType">Type de proie : </label>
        <input type="text" required id="preyType" class="form-control" th:field="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].preyType}">
        <div>
          <label for="meal">Repas : </label>
          <input type="checkbox" id="meal" class="form-check-label" th:checked="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].meal}">
        </div>
        <label for="medicalChecking">Suivi vétérinaire : </label>
        <input type="text" required id="medicalChecking" class="form-control" th:field="${snake.snakeCardList[__${#lists.size(snake.snakeCardList)-1}__].medicalChecking}">
        <button class="btn btn-outline-secondary justify-content-end" style="margin-left: 25px; border-radius: 0.25rem;">Modifier</button>
      </form>
    </div>
      
    </div>
    <script
       src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.js">
       </script>
      <script th:inline="javascript">
        /*<![CDATA[*/
        

        let weightList = [];
        let dateList = [];
        let snakeId = /*[[${snake.snake_id}]]*/ "default"


        /*[# th:each="card : ${snake.snakeCardList}"]*/
        weightList.push(/*[[${card.weight}]]*/ "default");
        /*[/]*/

        /*[# th:each="card : ${snake.snakeCardList}"]*/
        dateList.push(/*[[${#temporals.format(card.date,'dd-MM-yyyy')}]]*/ "default");
        /*[/]*/

        const form = document.getElementById("form").addEventListener("submit",sendForm)
        function sendForm(event) {
            event.preventDefault()
            let weight = document.getElementById("weight").value
            let length = document.getElementById("length").value
            let moulting = document.getElementById("moulting").checked
            let medicalChecking = document.getElementById("medicalChecking").value
            let meal = document.getElementById("meal").checked
            let date = document.getElementById("date").value
            let preyType = document.getElementById("preyType").value

            var newCard={
                weight: weight,
                length: length,
                moulting: moulting,
                medicalChecking: medicalChecking,
                meal: meal,
                date: date,
                preyType: preyType
            }
           
            postForm(newCard);
            chartWeight.data.labels.push(date);
            
            chartWeight.data.datasets.forEach((dataset) => {
        dataset.data.push(weight);})
        chartWeight.update();

        ChartLength.data.labels.push(date);
        ChartLength.data.datasets.forEach((dataset) => {
        dataset.data.push(length);})
            
            
            ChartLength.update();
            

        }
        async function postForm(newCard) {
                await fetch("/snake-card/" + snakeId + "/post", {
                    body: JSON.stringify(newCard),
                    method: "POST",
                    headers: {
                        "Content-type":"application/json"
                    }
                }).then((response)=> {
                    if(response.status == 200){
                        console.log(response)
                    }

                }).catch((error)=> {
                    console.error(error)
                })
            }
        const weightDom = document.getElementById("chartWeight").getContext('2d');
      const chartWeight = new Chart(weightDom, {
        type: 'line',
        data: {
          labels: dateList,
          datasets: [{
            label: 'Courbe de poids',
            backgroundColor: 'rgba(255, 255, 255, 0.0)',
            borderColor: 'rgb(47, 128, 237)',
            data: weightList,
          }]
        },
        options: {
          scales: {
            yAxes: [{
              ticks: {
                beginAtZero: true,
              }
            }]
          }
        },
      });

      

      let lengthList = [];

        /*[# th:each="card : ${snake.snakeCardList}"]*/
        lengthList.push(/*[[${card.length}]]*/ "default");
        /*[/]*/
      

        const lengthDom = document.getElementById("chartLength").getContext('2d');
      const ChartLength = new Chart(lengthDom, {
        type: 'line',
        data: {
          labels: dateList,
          datasets: [{
            label: 'Courbe de taille',
            backgroundColor: 'rgba(255, 255, 255, 0.0)',
            borderColor: 'rgb(47, 128, 237)',
            data: lengthList,
          }]
        },
        options: {
          scales: {
            yAxes: [{
              ticks: {
                beginAtZero: true,
              }
            }]
          }
        },
      });
       
       /*]]>*/
       </script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
    </script>
</body>
</html>